Strobe

This project is abandoned.

Whether this project is out of date or its author marked it as abandoned, this project is no longer maintained.

If you wish to take this project over, please report it and state your intentions.

Strobe

Strobe

Strobe and rainbow lights and regions!

Features:

This plugin allows you to create strobe lights and 3d regions, as well as color changing wool regions.
Strobe also can make obsidian flashing glowstone.

Commands:

/strobe set - Tool for setting the Strobe Block
/strobe - Toggle on/off Strobe Block
/rainbow set - Tool for setting Rainbow Block
/rainbow - Toggle on/off Rainbow Block
/strobe 3d set - Tool for setting cuboid region
/rainbow 3d set - Tool for setting cuboid region
/rainbow 3d - Toggles
/strobe 3d - Toggles

Permissions:

strobe.use - Master permission.

Changelog:

2.2:
- Updated plugin.yml finally!

2.1:
- Upgraded to SuperPerms

2.0:
- Improved reload efficiency.
- Set up configuration saving in RAM for efficiency.
- Removed block safety checker, all sizes are safe now.
- Changed to sync tasks for maximum efficiency and reliability.

All versions of Strobe 1 are HIGHLY deprecated and not even to be shown.

Video:

See page:
http://dev.bukkit.org/server-mods/strobe/pages/you-tube-video/

You must login to post a comment. Don't have an account? Register to get one!

  • Avatar of JustVincent JustVincent Jul 27, 2013 at 19:57 UTC - 0 likes

    Going to upgrade it, Hang On, I will put it on in a second Plugin released soon

  • Avatar of JPSn1pes JPSn1pes Jul 16, 2013 at 03:09 UTC - 0 likes

    @Tobias2289: Go

    I would love to take this plugin on, but I would have to learn Java... I will do my best and if anyone can help teach me that would be amazing! Any support?

    Server: Valcraft.net Website: Valcraft.net Youtube: CyanClay :)

  • Avatar of Tobias2289 Tobias2289 Feb 17, 2013 at 04:55 UTC - 0 likes

    Someone take on this plugin! I loved using this in the past and really could use it now!

  • Avatar of brandondv brandondv May 22, 2012 at 19:59 UTC - 0 likes

    it isn't working for 1.2.5 !

    I see the text and says: click on point one , but when I click he doesn't react!

  • Avatar of smith444 smith444 Dec 31, 2011 at 16:46 UTC - 0 likes

    Is there a way to set up multiple 3d strobe or rainbow selections or is that not a feature yet?

    If it isn't, a database for cuboid selections might work nicely.

  • Avatar of pyraetos pyraetos Dec 13, 2011 at 14:39 UTC - 0 likes

    Interesting and embarrassing on my part!

    pyraetos BFAK:pyraetos,74694,8641fdc68f36ccaf6606863662f8dce1e653b1a30ac4dd8ebd84ad2d8a636de7

  • Avatar of Lemonz1805 Lemonz1805 Dec 13, 2011 at 08:16 UTC - 0 likes

    I fixed the problem alot of people are having when it won't load:
     
    go into the classpath file and change the classpathentry kind="lib" to wherever your CraftBukkit-1.0.0-SNAPSHOT.jar is saved e.g.

    <classpathentry kind="lib" path="C:/Minecraft/New Server/craftbukkit-1.0.0-SNAPSHOT.jar"/>

    replace the 'Minecraft' and 'New Server' to get to where your CraftBukkit-1.0.0-SNAPSHOT.jar is saved.

    I hope this helps all of you who really wanted this plugin :) and a bug fix to the developer

  • Avatar of Fizzyjoe908 Fizzyjoe908 Dec 12, 2011 at 21:31 UTC - 0 likes

    I fixed the error below myself. You have to change the package name in plugin.yml as it does not match the packages in all the classes.

    Also, I would add the ability to have multiple strobes/rainbows by allowing the user to name the strobe/rainbows. It could be /strobe 3d set <name>. To play it, it could be /strobe 3d <name>.

    Just some suggestions

  • Avatar of Fizzyjoe908 Fizzyjoe908 Dec 12, 2011 at 02:25 UTC - 0 likes

    Tried to load this plugin...and it didn't even load. Server returns:

    2011-12-11 19:46:39 [INFO] This server is running Craftbukkit version git-Bukkit-1.8.1-R4-59-g68f5ce9-b1534jnks (MC: 1.0.0) (Implementing API version 1.0.0-R1-SNAPSHOT) 2011-12-11 19:46:39 [SEVERE] Could not load 'plugins\Strobe.jar' in folder 'plugins': java.lang.ClassNotFoundException: org.nerdycast.Strobe.Strobe at java.net.URLClassLoader$1.run(Unknown Source) at java.security.AccessController.doPrivileged(Native Method) at java.net.URLClassLoader.findClass(Unknown Source) at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:36) at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:24) at java.lang.ClassLoader.loadClass(Unknown Source) at java.lang.ClassLoader.loadClass(Unknown Source) at java.lang.Class.forName0(Native Method) at java.lang.Class.forName(Unknown Source) at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:170) at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:215) at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:136) at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:147) at org.bukkit.craftbukkit.CraftServer.<init>(CraftServer.java:123) at net.minecraft.server.ServerConfigurationManager.<init>(ServerConfigurationManager.java:52) at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:141) at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:388) at net.minecraft.server.ThreadServerApplication.run(SourceFile:457)

  • Avatar of pyraetos pyraetos Dec 09, 2011 at 19:31 UTC - 0 likes

    That error should be fixed in 2.1

Facts

Date created
Sep 10, 2011
Categories
Last update
Mar 01, 2012
Development stage
Abandoned
Language
  • enUS
License
GNU General Public License version 3 (GPLv3)
Downloads
3,599
Recent files

Authors